iGeneralMeshState Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
iGeneralMeshState Struct Reference
Mesh plugins

This interface describes the API for the general mesh object. More...

`#include <imesh/genmesh.h>`

Inheritance diagram for iGeneralMeshState:

List of all members.

## Public Member Functions
virtual void | ForceProgLODLevel (int level)=0
| Set the progressive LOD level on all submeshes.
virtual iGenMeshAnimationControl * | GetAnimationControl () const =0
| Get the current animation control for this object.
virtual void | SetAnimationControl (iGenMeshAnimationControl *anim_ctrl)=0
| Set the animation control to use for this mesh object.
SubMesh handling
virtual iGeneralMeshSubMesh * | FindSubMesh (const char *name) const =0
| Find the index of a submesh.

## Detailed Description

This interface describes the API for the general mesh object.

Main creators of instances implementing this interface:

- Genmesh mesh object plugin (crystalspace.mesh.object.genmesh)
- iMeshObjectFactory::NewInstance()

Main ways to get pointers to this interface:

- scfQueryInterface() on iMeshWrapper::GetMeshObject()

Main users of this interface:

- Genmesh Loader plugin (crystalspace.mesh.loader.genmesh)

Definition at line 255 of file genmesh.h.

## Member Function Documentation

virtual iGeneralMeshSubMesh* iGeneralMeshState::FindSubMesh | ( | const char * | name | ) | const`[pure virtual]`

Find the index of a submesh.

The index can be used with DeleteSubMesh() and the GetSubMesh...() methods. Returns 0 if the submesh was not found.

The returned interface can be used for limited per-object variation of the submeshes as defined in the factory. Currently the following aspects can be overridden:

- Shader variables (by querying the iShaderVariableContext interface)

virtual void iGeneralMeshState::ForceProgLODLevel | ( | int | level | ) | `[pure virtual]`

Set the progressive LOD level on all submeshes.

If a submesh's max prog LOD level is less than level, set it to its maximum.

virtual iGenMeshAnimationControl* iGeneralMeshState::GetAnimationControl | ( |  | ) | const`[pure virtual]`

Get the current animation control for this object.

virtual void iGeneralMeshState::SetAnimationControl | ( | iGenMeshAnimationControl * | anim_ctrl | ) | `[pure virtual]`

Set the animation control to use for this mesh object.

See iGenMeshAnimationControl for more information.

The documentation for this struct was generated from the following file:

- imesh/genmesh.h